import { Pool } from 'pg';

// Configuration du pool de connexion PostgreSQL
export const pool = new Pool({
  user: process.env.DB_USER || 'postgres',
  host: process.env.DB_HOST || 'localhost',
  database: process.env.DB_NAME || 'wemusic',
  password: process.env.DB_PASSWORD || 'postgres',
  port: parseInt(process.env.DB_PORT || '5432'),
});

// Test de connexion
pool.connect((err, client, release) => {
  if (err) {
    console.error('🔥 Erreur de connexion à la base de données:', err.stack);
    return;
  }
  console.log('✅ Connexion à la base de données établie avec succès');
  release();
}); 