-- ⚠️ ATTENTION : Ces exemples sont uniquement à des fins de démonstration
-- En production, utilisez TOUJOURS une bibliothèque comme bcrypt pour le hachage des mots de passe

-- 1. Insertion d'un nouvel utilisateur
-- ⚠️ N'utilisez JAMAIS MD5 pour le hachage des mots de passe en production !
INSERT INTO users (
    email,
    password_hash,
    artist_name,
    user_type,
    bio_short,
    bio_long
) VALUES (
    'artiste@example.com',
    -- Ceci est un exemple NON SÉCURISÉ. Utilisez bcrypt en production !
    md5('motdepasse123'),
    'Artiste Exemple',
    'artist',
    'Musicien indie rock basé à Paris',
    'Artiste indie rock avec plus de 10 ans d''expérience...'
) RETURNING id, email, artist_name, created_at;

-- 2. Sélection d'un utilisateur par email
SELECT 
    id,
    email,
    artist_name,
    user_type,
    bio_short,
    profile_picture_url,
    created_at
FROM users
WHERE email = 'artiste@example.com';

-- 3. Mise à jour de la photo de profil
UPDATE users
SET profile_picture_url = 'https://example.com/photos/profile123.jpg'
WHERE email = 'artiste@example.com'
RETURNING id, email, artist_name, profile_picture_url;

-- 4. Recherche d'utilisateurs par type
SELECT 
    id,
    artist_name,
    email,
    user_type,
    created_at
FROM users
WHERE user_type = 'artist'
ORDER BY created_at DESC;

-- 5. Suppression d'un utilisateur
-- ⚠️ En production, préférez une suppression logique avec un champ 'deleted_at'
DELETE FROM users
WHERE email = 'artiste@example.com'
RETURNING id, email, artist_name;

-- Exemple de requête pour vérifier l'authentification
-- ⚠️ Encore une fois, n'utilisez JAMAIS MD5 en production !
SELECT 
    id,
    email,
    artist_name,
    user_type
FROM users
WHERE 
    email = 'artiste@example.com'
    AND password_hash = md5('motdepasse123'); 