#!/bin/bash

# Couleurs pour le terminal
RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'

# Configuration
API_URL="http://192.168.0.90:3001"

echo "🔍 Test des routes d'API..."

# Test de la route racine de l'API
echo -e "\n${GREEN}1. Test de la route /api :${NC}"
curl -X GET "${API_URL}/api"

# Test de la route d'inscription
echo -e "\n\n${GREEN}2. Test de la route /api/auth/register :${NC}"
curl -X POST "${API_URL}/api/auth/register" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "test@example.com",
    "password": "Password123!",
    "artist_name": "Test Artist",
    "user_type": "artist",
    "bio_short": "Test bio",
    "bio_long": "Test biography long version"
  }'

# Test de la route de connexion
echo -e "\n\n${GREEN}3. Test de la route /api/auth/login :${NC}"
curl -X POST "${API_URL}/api/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "test@example.com",
    "password": "Password123!"
  }'

echo -e "\n\n${GREEN}Tests terminés !${NC}" 