#!/bin/bash

# Couleurs pour le terminal
RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'

# Configuration de l'API
API_URL="http://192.168.0.90:3001"

echo "🔍 Test de connexion d'un utilisateur..."

# Test avec des données valides
echo -e "\n${GREEN}1. Test avec des données valides :${NC}"
curl -X POST "${API_URL}/api/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com",
    "password": "MonMotDePasse123!"
  }'

# Test avec un email invalide
echo -e "\n\n${GREEN}2. Test avec un email invalide :${NC}"
curl -X POST "${API_URL}/api/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "email_invalide",
    "password": "MonMotDePasse123!"
  }'

# Test avec un mot de passe incorrect
echo -e "\n\n${GREEN}3. Test avec un mot de passe incorrect :${NC}"
curl -X POST "${API_URL}/api/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com",
    "password": "MauvaisMotDePasse123!"
  }'

# Test avec des champs manquants
echo -e "\n\n${GREEN}4. Test avec des champs manquants :${NC}"
curl -X POST "${API_URL}/api/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com"
  }'

echo -e "\n\n${GREEN}Tests terminés !${NC}" 