#!/bin/bash

# Couleurs pour le terminal
RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'

echo "🔍 Test d'inscription d'un nouvel utilisateur..."

# Test avec des données valides
echo -e "\n${GREEN}1. Test avec des données valides :${NC}"
curl -X POST http://localhost:3001/api/auth/register \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com",
    "password": "MonMotDePasse123!",
    "artist_name": "John Doe",
    "user_type": "artist",
    "bio_short": "Musicien indie rock",
    "bio_long": "Musicien indie rock avec plus de 10 ans d'\''expérience..."
  }'

# Test avec un email invalide
echo -e "\n\n${GREEN}2. Test avec un email invalide :${NC}"
curl -X POST http://localhost:3001/api/auth/register \
  -H "Content-Type: application/json" \
  -d '{
    "email": "email_invalide",
    "password": "MonMotDePasse123!",
    "artist_name": "John Doe"
  }'

# Test avec un mot de passe trop court
echo -e "\n\n${GREEN}3. Test avec un mot de passe trop court :${NC}"
curl -X POST http://localhost:3001/api/auth/register \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com",
    "password": "court",
    "artist_name": "John Doe"
  }'

# Test avec un type d'utilisateur invalide
echo -e "\n\n${GREEN}4. Test avec un type d'utilisateur invalide :${NC}"
curl -X POST http://localhost:3001/api/auth/register \
  -H "Content-Type: application/json" \
  -d '{
    "email": "artiste@example.com",
    "password": "MonMotDePasse123!",
    "artist_name": "John Doe",
    "user_type": "invalid_type"
  }'

echo -e "\n\n${GREEN}Tests terminés !${NC}" 