import { Router } from 'express';
import { register, login } from '../controllers/auth.controller';
import { registerValidator, loginValidator } from '../validators/auth.validator';

const router = Router();

/**
 * @route POST /api/auth/register
 * @desc Inscription d'un nouvel utilisateur
 * @access Public
 */
router.post('/register', registerValidator, register);

/**
 * @route POST /api/auth/login
 * @desc Connexion d'un utilisateur existant
 */
router.post('/login', loginValidator, login);

export default router; 