export type UserType = 'artist' | 'venue_owner' | 'partner' | 'admin';

export interface User {
  id: string;
  email: string;
  password_hash: string;
  artist_name: string;
  user_type: UserType;
  bio_short?: string;
  bio_long?: string;
  profile_picture_url?: string;
  created_at: Date;
  updated_at: Date;
}

export interface UserRegistrationData {
  email: string;
  password: string;
  artist_name: string;
  user_type?: UserType;
  bio_short?: string;
  bio_long?: string;
}

export interface UserResponse {
  id: string;
  email: string;
  artist_name: string;
  user_type: UserType;
  bio_short?: string;
  bio_long?: string;
  profile_picture_url?: string;
  created_at: Date;
} 